unit Lists;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, PDJ_Basic, PDJ_EdChLb, PDJ_DFclB, PDJ_GrBx, PDJ_Lab, PDJ_MulClb,
  PDJ_RdGr, PDJ_TeLb, Buttons, PDJ_IChL, PDJ_IBLx, PDJ_ChBx;

type
  TForm5 = class(TForm)
    PDJMultiLineListBox1: TPDJMultiLineListBox;
    PDJLabel1: TPDJLabel;
    PDJGroupBox1: TPDJGroupBox;
    PDJDriveListBox1: TPDJDriveListBox;
    PDJEditCheckList1: TPDJEditCheckList;
    PDJLabel2: TPDJLabel;
    PDJRadioGroup1: TPDJRadioGroup;
    PDJGroupBox2: TPDJGroupBox;
    PDJTextListBox1: TPDJTextListBox;
    PDJLabel3: TPDJLabel;
    PDJGroupBox3: TPDJGroupBox;
    PDJImageCheckList1: TPDJImageCheckList;
    PDJGroupBox4: TPDJGroupBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    PDJImageCheckList2: TPDJImageCheckList;
    SpeedButton6: TSpeedButton;
    PDJGroupBox5: TPDJGroupBox;
    PDJImageList1: TPDJImageList;
    PDJCheckBox1: TPDJCheckBox;
    PDJCheckBox2: TPDJCheckBox;
    PDJGroupBox6: TPDJGroupBox;
    PDJBandList1: TPDJBandList;
    PDJCheckBox3: TPDJCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure PDJEditCheckList1ClickCheck(Sender: TObject);
    procedure PDJRadioGroup1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure PDJCheckBox1Click(Sender: TObject);
    procedure PDJCheckBox2Click(Sender: TObject);
    procedure PDJCheckBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

uses DemoUnit;

{$R *.DFM}

procedure TForm5.FormCreate(Sender: TObject);
begin
PDJEditCheckList1.CheckAll;
end;

procedure TForm5.PDJEditCheckList1ClickCheck(Sender: TObject);
begin
if PDJEditCheckList1.Checked[0] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doFloppy] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doFloppy];
if PDJEditCheckList1.Checked[1] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doFixed] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doFixed];
if PDJEditCheckList1.Checked[2] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doNetwork] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doNetwork];
if PDJEditCheckList1.Checked[3] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doCDROM] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doCDROM];
if PDJEditCheckList1.Checked[4] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doRAM] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doRAM] ;
if PDJEditCheckList1.Checked[5] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doUnknown] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doUnknown];
if PDJEditCheckList1.Checked[6] then
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive+[doNoDrive] else
PDJDriveListBox1.ShowDrive:=PDJDriveListBox1.ShowDrive-[doNoDrive];
end;

procedure TForm5.PDJRadioGroup1Click(Sender: TObject);
begin
Case PDJRadioGroup1.ItemIndex of
0:PDJDriveListBox1.TextStyle:=tsSysStyle;
1:PDJDriveListBox1.TextStyle:=tsOldStyle;
end;
end;

procedure TForm5.SpeedButton1Click(Sender: TObject);
begin
PDJImageCheckList1.AddCLItem('NewCLItem',3,12,cbChecked)
end;

procedure TForm5.SpeedButton2Click(Sender: TObject);
begin
PDJImageCheckList1.InsertCLItem(2,'InsertItem',6,9,cbUnChecked)
end;

procedure TForm5.SpeedButton3Click(Sender: TObject);
begin
PDJImageCheckList1.MoveCLItem(2,3)
end;

procedure TForm5.SpeedButton4Click(Sender: TObject);
begin
PDJImageCheckList1.ModifyCLItem(1,'ModifyItem',0,1,cbUnChecked);
end;

procedure TForm5.SpeedButton5Click(Sender: TObject);
begin
PDJImageCheckList1.DeleteCLItem(1)
end;

procedure TForm5.SpeedButton6Click(Sender: TObject);
begin
PDJImageCheckList2.AssignCLItems(PDJImageCheckList1.CLItems)
end;

procedure TForm5.PDJCheckBox1Click(Sender: TObject);
begin
if  PDJCheckBox1.checked then
PDJImageCheckList1.HotChecked:=true else
PDJImageCheckList1.HotChecked:=false
end;

procedure TForm5.PDJCheckBox2Click(Sender: TObject);
begin
if PDJCheckBox2.Checked then
PDJImageList1.HotOverlay:=True else
PDJImageList1.HotOverlay:=False
end;

procedure TForm5.PDJCheckBox3Click(Sender: TObject);
begin
if PDJCheckBox3.Checked then
PDJBandList1.HotOverlay:=True else
PDJBandList1.HotOverlay:=False
end;

end.
